# Project actions

## Read

* `read_project` - All read-related actions
  * `read_project_info` - View project details (title, tags, etc.) and see in project list
  * `read_project_readme` - Access project readme and history
  * `list_project_samples` - View samples linked to project
  * `view_project_assets` - All asset viewing actions
    * `list_project_assets` - View asset names and structure
    * `download_project_asset` - Download and preview assets
    * `use_project_asset` - Use a project asset as computation input, metadata source, etc.

## Write

* `write_project` - All write-related actions
  * `write_project_info` - Edit project details
  * `write_project_readme` - Edit project readme
  * `manage_project_samples` - Link and unlink project samples
  * `create_project_analysis` - Create analysis under project
  * `manage_project_assets` - All asset management actions
    * `add_project_asset` - Add asset from any source, create assets folder
    * `edit_project_asset` - Move/rename assets
    * `delete_project_asset` - Delete asset

## Drives & Admin

* `use_mounted_external_drive` - Use attached external drives
* `manage_mounted_external_drive` - Manage external drives attached to project
* `delete_project` - Delete project


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://documentation.panomics.bio/documentation/access-control/reference/project.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
